<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData com.intellij.lang.javascript.psi.JSType getOrComputeJSType(com.intellij.psi.PsiFile, com.intellij.lang.typescript.tsc.gen.Type, kotlin.jvm.functions.Function0&lt;? extends com.intellij.lang.javascript.psi.JSType&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData com.intellij.lang.javascript.psi.JSType getOrComputeJSType(com.intellij.psi.PsiFile, com.intellij.lang.typescript.tsc.gen.Type, kotlin.jvm.functions.Function0&lt;? extends com.intellij.lang.javascript.psi.JSType&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase java.util.concurrent.CompletableFuture&lt;java.lang.String&gt; getFilePath(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData com.intellij.javascript.types.TSType getOrComputeTSType(com.intellij.psi.PsiFile, com.intellij.lang.typescript.tsc.gen.Type, kotlin.jvm.functions.Function0&lt;? extends com.intellij.javascript.types.TSType&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData com.intellij.javascript.types.TSType getOrComputeTSType(com.intellij.psi.PsiFile, com.intellij.lang.typescript.tsc.gen.Type, kotlin.jvm.functions.Function0&lt;? extends com.intellij.javascript.types.TSType&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector kotlinx.coroutines.CoroutineScope getCs()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey JSServicePoweredTypeCacheKey(com.intellij.lang.typescript.compiler.TypeScriptService, com.intellij.openapi.vfs.VirtualFile, com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptTypeRequestKind, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBaseKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector TypeScriptCompilerServiceStatisticsCollector(kotlinx.coroutines.CoroutineScope)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData com.intellij.lang.typescript.tsc.TypeScriptCompilerCheckerTransferredData getOrCreateChecker(int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerSymbolTypeBuilder com.intellij.lang.javascript.psi.JSType buildTypeFromDeclarations(com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSymbol, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey com.intellij.openapi.vfs.VirtualFile getProjectFile()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey com.intellij.lang.typescript.compiler.TypeScriptService getService()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry com.intellij.javascript.types.TSType getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry com.intellij.javascript.types.TSType getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.EnumHelperKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTypeConverterKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics int getTypeConversionSucceeded()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase io.opentelemetry.api.trace.Span getServiceLifespan()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData int getResetCount$intellij_javascript_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.EnumHelperKt java.util.List&lt;java.lang.String&gt; getFlagNames(com.intellij.lang.typescript.tsc.gen.Symbol)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey getKey()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector void typeConverted(int, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTypeConverter com.intellij.lang.javascript.psi.JSType toJSType(com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.EnumHelperKt com.intellij.lang.javascript.psi.JSExpectedTypeKind toExpectedTypeKind(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.EnumHelperKt com.intellij.lang.javascript.psi.JSExpectedTypeKind toExpectedTypeKind(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerCheckerTransferredData TypeScriptCompilerCheckerTransferredData(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollectorKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext copy(com.intellij.psi.PsiElement, com.intellij.lang.typescript.compiler.TypeScriptService, com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector void typeConverted(int, com.intellij.lang.javascript.psi.JSType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector void typeConverted(int, com.intellij.lang.javascript.psi.JSType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.openapi.project.Project getProject$intellij_javascript_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics TypeScriptCompilerServiceResponseStatistics(int, int, java.util.Map&lt;java.lang.Integer,java.lang.Integer&gt;, java.util.Set&lt;java.lang.String&gt;, java.util.Set&lt;java.lang.String&gt;, int, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics TypeScriptCompilerServiceResponseStatistics(int, int, java.util.Map&lt;java.lang.Integer,java.lang.Integer&gt;, java.util.Set&lt;java.lang.String&gt;, java.util.Set&lt;java.lang.String&gt;, int, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData getTransferredData$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData getTransferredData$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTypeConverter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.openapi.project.Project getProject$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.openapi.project.Project getProject$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey com.intellij.openapi.vfs.VirtualFile component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector void elementTypeResponseReceived()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext com.intellij.openapi.vfs.VirtualFile getProjectFile()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey long getPsiModificationCount()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData T getOrComputeType(com.intellij.psi.PsiFile, com.intellij.lang.typescript.tsc.gen.Type, kotlin.jvm.functions.Function0&lt;? extends T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTypeConverter java.util.List&lt;com.intellij.lang.javascript.psi.JSType&gt; convertTypeArguments(java.util.List&lt;? extends com.intellij.lang.typescript.tsc.gen.Type&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.21829.40&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext com.intellij.lang.typescript.compiler.TypeScriptService getService()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.EnumHelperKt java.util.List&lt;java.lang.String&gt; getFlagNames(int, java.lang.Class&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData com.intellij.lang.typescript.tsc.gen.Type getType(int, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData com.intellij.lang.typescript.tsc.gen.Type getType(int, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector void mutuallyAssignableCacheUsed()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase.TscTypeRootPointer com.intellij.lang.typescript.tsc.gen.Type getValue(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.26830.24&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext com.intellij.psi.PsiElement component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry com.intellij.lang.javascript.psi.JSType getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry com.intellij.lang.javascript.psi.JSType getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;com.intellij.lang.typescript.tsc.gen.Type&gt; sendGetElementTypeCommandAndDeserialize(com.intellij.psi.PsiFile, com.intellij.psi.PsiElement, com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptGetElementTypeCommandBase&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics int getMutuallyAssignableInvocationsWithNullResult()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase.TscTypeRootPointer com.intellij.lang.typescript.tsc.gen.Type getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase.TscTypeRootPointer com.intellij.lang.typescript.tsc.gen.Type getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerSymbolTypeBuilder java.util.List&lt;com.intellij.psi.PsiElement&gt; findPsiDeclarations(com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSymbol)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData void markOutdated(int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase java.util.concurrent.CompletableFuture&lt;com.intellij.openapi.vfs.VirtualFile&gt; findLocalFileByPath$intellij_javascript_backend(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey copy(com.intellij.lang.typescript.compiler.TypeScriptService, com.intellij.openapi.vfs.VirtualFile, com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptTypeRequestKind, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext com.intellij.openapi.vfs.VirtualFile component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TraceTypeScriptServiceTypeEvaluator">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext com.intellij.openapi.vfs.VirtualFile component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.ComputeInCoroutineKt T computeInCoroutine(kotlin.jvm.functions.Function2&lt;? super kotlinx.coroutines.CoroutineScope,? super kotlin.coroutines.Continuation&lt;? super T&gt;,? extends java.lang.Object&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics int getElementTypeResponseReceived()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData getTransferredData$intellij_javascript_backend()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase java.util.concurrent.CompletableFuture&lt;com.intellij.openapi.vfs.VirtualFile&gt; findLocalFileByPath$intellij_javascript_impl(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase java.util.concurrent.CompletableFuture&lt;com.intellij.openapi.vfs.VirtualFile&gt; findLocalFileByPath$intellij_javascript_impl(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry JSServicePoweredTypeCacheEntry(com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey, com.intellij.lang.javascript.psi.JSType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry JSServicePoweredTypeCacheEntry(com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey, com.intellij.lang.javascript.psi.JSType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptTypeRequestKind component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.AbortTypeScriptCompilerRequestsOutsideProjectAction">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics TypeScriptCompilerServiceResponseStatistics(int, int, int, java.util.Map&lt;java.lang.Integer,java.lang.Integer&gt;, java.util.Set&lt;java.lang.String&gt;, java.util.Set&lt;java.lang.String&gt;, int, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTypeConverter com.intellij.javascript.types.TSType toTSType(com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext com.intellij.openapi.vfs.VirtualFile getVirtualFile()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext TypeScriptTypeEngineRequestContext(com.intellij.psi.PsiElement, com.intellij.lang.typescript.compiler.TypeScriptService, com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase.Companion">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerCheckerTransferredData void setOutdated(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics int getMutuallyAssignableInvocationsWithNonNullResult()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerCheckerTransferredData">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey com.intellij.lang.typescript.compiler.TypeScriptService component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptTypeRequestKind getTypeRequestKind()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics int getTypeConversionFailed()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics int getMutuallyAssignableCacheUsed()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry JSServicePoweredTypeCacheEntry(com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey, com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase boolean getSupportsTypeScriptInInjections()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.25557.23&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext com.intellij.psi.PsiElement getAdjustedElement()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTypeConverter com.intellij.psi.PsiElement findPsiElement(com.intellij.lang.typescript.tsc.gen.Declaration, com.intellij.lang.typescript.tsc.refreshable.TscRefreshableObject&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector void mutuallyAssignableInvokedWithNonNullResult()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerRequestAborter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey long component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerSymbolTypeBuilder kotlin.sequences.Sequence&lt;com.intellij.psi.PsiElement&gt; findPsiDeclarationsSeq(com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSymbol)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerCheckerTransferredData boolean getOutdated()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData boolean isUpToDate(int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.javascript.types.TSType toTSType(com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.EnumHelperKt java.util.List&lt;java.lang.String&gt; getFlagNames(int, kotlin.reflect.KClass&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData int getResetCount$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTransferredData int getResetCount$intellij_javascript_impl()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceResponseStatistics getResponseStatistics()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.lang.javascript.psi.JSType sendGetElementTypeCommandAndDeserializeToJSType(com.intellij.psi.PsiFile, com.intellij.psi.PsiElement, com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptGetElementTypeCommandBase&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.lang.javascript.psi.JSType sendGetElementTypeCommandAndDeserializeToJSType(com.intellij.psi.PsiFile, com.intellij.psi.PsiElement, com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptGetElementTypeCommandBase&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerTypeConverter com.intellij.lang.javascript.psi.JSType toJSType(com.intellij.lang.typescript.tsc.refreshable.TscRefreshableSignature)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry com.intellij.lang.typescript.tsc.refreshable.TscRefreshableType&lt;?&gt; getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase.TscTypeRootPointer TscTypeRootPointer(long, com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptGetElementTypeCommandBase&lt;? extends com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptGetElementTypeRequestArgsBase&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerCheckerTransferredData int getIdeTypeCheckerId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptTypeEngineRequestContext com.intellij.lang.typescript.compiler.TypeScriptService component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23309.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.javascript.types.TSType sendGetElementTypeCommandAndDeserializeToTSType(com.intellij.psi.PsiFile, com.intellij.psi.PsiElement, com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptGetElementTypeCommandBase&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase com.intellij.javascript.types.TSType sendGetElementTypeCommandAndDeserializeToTSType(com.intellij.psi.PsiFile, com.intellij.psi.PsiElement, com.intellij.lang.typescript.compiler.languageService.protocol.commands.TypeScriptGetElementTypeCommandBase&lt;T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerSymbolTypeBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.ComputeInCoroutineKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry JSServicePoweredTypeCacheEntry(com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey, com.intellij.javascript.types.TSType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheEntry JSServicePoweredTypeCacheEntry(com.intellij.lang.typescript.tsc.JSServicePoweredTypeCacheKey, com.intellij.javascript.types.TSType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptCompilerServiceStatisticsCollector void mutuallyAssignableInvokedWithNullResult()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.typescript.tsc.TypeScriptServiceEvaluationSupportBase java.lang.Object executeCommandOnRequestQueue(com.intellij.lang.typescript.compiler.TypeScriptServiceQueueCommand&lt;? extends com.intellij.lang.javascript.service.protocol.JSLanguageServiceObject,T&gt;, kotlin.coroutines.Continuation&lt;? super T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.23654.117&quot;"/>
    </annotation>
  </item>
</root>
